%global srcname mailcap
%global ubunturel +nmu1ubuntu1

%global aliases see edit compose print

Name: run-mailcap
License: Public Domain
Version: 3.70
Release: 1%{?dist}
Summary: The run-mailcap script from Ubuntu's mailcap package
Summary(eo): La skripto run-mailcap el la pako mailcap de Ubuntu
URL: https://packages.ubuntu.com/search?keywords=%{srcname}
Source: http://archive.ubuntu.com/ubuntu/pool/main/m/%{srcname}/%{srcname}_%{version}%{ubunturel}.tar.xz
Patch0: run-mailcap-xdg-terminal-exec.diff
BuildArch: noarch

Requires: mailcap
Requires: perl
Requires: xdg-terminal-exec

%description 
The run-mailcap script from Ubuntu's mailcap package. Used in the default
configuration of mc, by xdg-open when no suitable program is found, etc.

%description -l eo
La skripto run-mailcap el la pako mailcap de Ubuntu. Uzata en la apriora agordo
de mc, de xdg-open kiam neniu taŭga programo estas trovata ktp.

%prep
%autosetup -p1 -n %{srcname}-%{version}%{ubunturel}

%build
for a in %{aliases}; do
  ln -s run-mailcap ${a}
  ln -s run-mailcap.man ${a}.1
done

%install
mkdir -p %{buildroot}%{_bindir}
cp run-mailcap %{aliases} %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_mandir}/man1
cp *.1 %{buildroot}/%{_mandir}/man1

%files
%{_bindir}/
%{_mandir}/man1/
